Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
detaosOffline
15 Post subject: XORG to be REMOVED  PostPosted: 01.05.2012, 05:41
Team Member


Joined: 2010-08-26
Posts: 166
Location: floating in the ether
Status: Offline
As of now, do not dist-upgrade. The Xorg is transitioning from 7.6 to 7.7 and the old (not yet uploaded) packages are to be removed. Wait until the upload of xorg 7.7 is complete and nothing is to be removed before allowing a dist-upgrade to go through, then stand by for transition issues to present themselves.

      Code:

# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  libupnp3 xserver-xorg xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-mouse xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-video-all xserver-xorg-video-apm xserver-xorg-video-ark
  xserver-xorg-video-ati xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-i128 xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-openchrome xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-rendition xserver-xorg-video-s3 xserver-xorg-video-s3virge xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-vesa xserver-xorg-video-vmware xserver-xorg-video-voodoo
The following NEW packages will be installed:
  libupnp6 linux-headers-3.3-4.slh.1-aptosid-amd64 linux-image-3.3-4.slh.1-aptosid-amd64
The following packages will be upgraded:
  cmake cmake-data diffutils fontconfig fontconfig-config gcc-4.7-base gconf-service gconf2 gconf2-common gdb gdbserver gvfs gvfs-common gvfs-daemons gvfs-libs iptables isc-dhcp-client isc-dhcp-common kbd lib32gcc1 lib32stdc++6 libavcodec53
  libavformat53 libavutil51 libc-bin libc-dev-bin libc6 libc6-dev libc6-i386 libcairo-gobject2 libcairo2 libfontconfig1 libgcc1 libgconf-2-4 libgconf2-4 libgomp1 libimlib2 libjack-jackd2-0 libjavascriptcoregtk-1.0-0
  libjavascriptcoregtk-3.0-0 libnewt0.52 libnss3-1d libpostproc52 libpulse-mainloop-glib0 libpulse0 libquadmath0 libslang2 libsqlite3-0 libsqlite3-dev libstdc++6 libswscale2 libtag1-vanilla libtag1c2a libupower-glib1 libvlc-dev libvlc5
  libvlccore-dev libvlccore5 libwebkitgtk-1.0-0 libwebkitgtk-1.0-common libwebkitgtk-3.0-0 libwebkitgtk-3.0-common libx11-6 libx11-data libx11-dev libx11-xcb1 libxxf86dga1 libxxf86vm1 linux-headers-aptosid-amd64 linux-image-aptosid-amd64
  linux-libc-dev locales multiarch-support printer-driver-splix upower vlc vlc-dbg vlc-nox vlc-plugin-fluidsynth vlc-plugin-jack vlc-plugin-notify vlc-plugin-pulse vlc-plugin-sdl vlc-plugin-svg vlc-plugin-zvbi whiptail whois x11-utils
  x11-xfs-utils x11-xkb-utils x11-xserver-utils xserver-common xserver-xorg-core
93 upgraded, 3 newly installed, 36 to remove and 0 not upgraded.
Need to get 5,204 kB/128 MB of archives.
After this operation, 128 MB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.

_________________
#aptosid-art ftw!
(what would cleary do?)
 
 View user's profile Send private message Send e-mail Visit poster's website  
Reply with quote Back to top
gutterslobOffline
Post subject: Re: XORG to be REMOVED  PostPosted: 01.05.2012, 10:57



Joined: 2010-12-25
Posts: 44
Location: Wandering
Status: Offline
      detaos wrote:
....then stand by for transition issues to present themselves.
From experience, I've learned that "transition issues" is the Debian term for "don't dist-upgrade for at least a month" Razz

Thanks for the heads-up.
 
 View user's profile Send private message  
Reply with quote Back to top
double_AOffline
Post subject:   PostPosted: 01.05.2012, 11:20



Joined: 2012-05-01
Posts: 2

Status: Offline
Hi,

any chance I can fix it in case I dist-upgraded before checking that it can be done safely? <Neutral

Thanx
 
 View user's profile Send private message  
Reply with quote Back to top
fixlOffline
Post subject:   PostPosted: 01.05.2012, 14:36



Joined: 2011-04-06
Posts: 1
Location: Melbourne, Australia
Status: Offline
Hi double_A,

I resolved that problem by switching my sources from sid to testing and then do the following:

      Code:

# apt-get update
# apt-get remove xserver-xorg-core
# apt-get install xserver-xorg xserver-xorg-video-rendition xserver-xorg-input-evdev xserver-xorg-video-s3virge xserver-xorg-video-all xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-ati xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-fbdev xserver-xorg-video-mga xserver-xorg-input-vmmouse xserver-xorg-input-mouse xserver-xorg-video-r128 xserver-xorg-video-openchrome xserver-xorg-video-vesa xserver-xorg-video-siliconmotion xserver-xorg-video-mach64 xserver-xorg-video-sis xserver-xorg-video-s3 xserver-xorg-video-tseng xserver-xorg-video-savage xserver-xorg-input-all xserver-xorg-video-nouveau xserver-xorg-video-vmware xserver-xorg-video-i128 xserver-xorg-video-neomagic xserver-xorg-video-chips xserver-xorg-video-voodoo xserver-xorg-video-i740 xserver-xorg-input-synaptics xserver-xorg-video-sisusb xserver-xorg-video-radeon xserver-xorg-video-cirrus xserver-xorg-video-intel


If I don't remove xserver-xorg-core the install command will complain.

In case you wonder where I got the packages to install from, I extracted them from the logs at /var/log/apt/history.log

Hope that is not a to dodgy workaround.

Regards,
fixl

PS.: Don't forget to switch your sources back to sid after you are done.
 
 View user's profile Send private message  
Reply with quote Back to top
double_AOffline
Post subject:   PostPosted: 01.05.2012, 16:45



Joined: 2012-05-01
Posts: 2

Status: Offline
Whew...took me hours to reinstall all those packages. Simply typed in your list and yessss...it worked well.

Thanx a lot...saved my day, really Smile)
 
 View user's profile Send private message  
Reply with quote Back to top
vlly-sprtlOffline
Post subject:   PostPosted: 01.05.2012, 17:00



Joined: 2012-01-21
Posts: 5
Location: Oakland, California
Status: Offline
I did the upgrade about 8 hours ago and X went away. It booted to the text-mode terminal and startx claimed /usr/bin/X was missing, which it was.
I fetched xserver-xorg-core_1.11.4-1 , (xserver-xorg wanted >= 1,11) from a mirror. I installed it with dpkg, which warned me I was downgrading it. I then entered "apt-get install xserver-xorg", apt complained, refused, and suggested "apt-get -f install", which I entered and it fetched several pkgs (sorry, I don't remember which) and the install of xserver-xorg seemed to work. And X came back. With the next reboot the familiar desktop came back.

Thank you for this topic. I will check back here for a while before I dist-upgrade.
 
 View user's profile Send private message  
Reply with quote Back to top
broweOffline
Post subject:   PostPosted: 01.05.2012, 17:54



Joined: 2010-09-12
Posts: 152
Location: Canada
Status: Offline
I guess it is part of the learning curve, but read the summary line at the end
of a dist-upgrade command before you type "Y". If you must dist-upgrade, another
option is to hold xserver-xorg like so:

      Code:

echo "xserver-xorg hold"|dpkg --set-selections

and when all is ok with the upgrade path
      Code:

echo "xserver-xorg install"|dpkg --set-selections


To confirm holds:
      Code:

dpkg --get-selections|grep hold
 
 View user's profile Send private message  
Reply with quote Back to top
drbOffline
Post subject:   PostPosted: 02.05.2012, 08:16



Joined: 2010-09-11
Posts: 96

Status: Offline
Is xorg still an issue? du -dV is showing no packages to be removed. I don't have all the modules installed but xserver-xorg-video-vesa wants to update with the du unlike its removal in the OP thread.
 
 View user's profile Send private message  
Reply with quote Back to top
etorixOffline
Post subject:   PostPosted: 02.05.2012, 09:17
Team Member


Joined: 2010-08-26
Posts: 137

Status: Offline
seems safe to proceed if yer mirror is up-to-date
 
 View user's profile Send private message  
Reply with quote Back to top
sid.dhartaOnline!
Post subject:   PostPosted: 02.05.2012, 13:28



Joined: 2012-05-02
Posts: 6

Status: Online!
Hi all!
Using http://ftp.debian.org/debian
dist-upgrade still wants to remove some xorg related packages:
      Code:

The following packages will be REMOVED:
   libept1 (1.0.5)
   packagesearch (2.6+b1)
   xserver-xorg-video-all (7.6+12)
   xserver-xorg-video-s3virge (1.10.4-4+b2)
   xserver-xorg-video-tdfx (1.4.3-4+b2)
The following NEW packages will be installed:
   libapt-inst1.5 (0.9.2)
   libapt-pkg4.12 (0.9.2)
   libasprintf0c2 (0.18.1.1-6)
   libboost-iostreams1.49.0 (1.49.0-2)
   libboost-program-options1.49.0 (1.49.0-2)
   libcolord1 (0.1.18-1)
   libept1.4.12 (1.0.6.1)
   libgettextpo0 (0.18.1.1-6)
   libjbig0 (2.0-2)
   libmtdev1 (1.1.2-1)
   libxcb-glx0 (1.8.1-1)
   linux-headers-3.3-4.slh.1-aptosid-686 (3.3-20)
   linux-image-3.3-4.slh.1-aptosid-686 (3.3-20)
The following packages will be upgraded:
   akonadi-backend-sqlite (1.6.2-2 => 1.6.2-2+b1)
   akonadi-server (1.6.2-2 => 1.6.2-2+b1)
   alsa-utils (1.0.25-1 => 1.0.25-2)
   anacron (2.3-17 => 2.3-18)
   apt (0.8.15.10 => 0.9.2)
   apt-utils (0.8.15.10 => 0.9.2)
   aptitude (0.6.6-1 => 0.6.6-1+b1)
   aptosid-art-kde-ponos (2011.03.6 => 2011.03.7)
   aptosid-art-kdm-ponos (2011.03.6 => 2011.03.7)
   aptosid-art-ksplash-ponos (2011.03.6 => 2011.03.7)
   aptosid-art-wallpaper-ponos (2011.03.6 => 2011.03.7)
   aptosid-manual-common (02.14.2012.03.14-1 => 02.14.2012.04.07-1)
   aptosid-manual-en (02.14.2012.03.14-1 => 02.14.2012.04.07-1)
   aptosid-manual-it (02.14.2012.03.14-1 => 02.14.2012.04.07-1)
   bind9-host (9.8.1.dfsg.P1-3 => 9.8.1.dfsg.P1-4)
   bluedevil (1.2.2-1 => 1.2.3-1)
   busybox (1.19.3-5 => 1.19.3-7)
   cdrdao (1.2.3-0.2 => 1.2.3-0.3)
   console-setup (1.75 => 1.76)
   console-setup-linux (1.75 => 1.76)
   cpp-4.6 (4.6.3-2 => 4.6.3-5)
   cryptsetup (1.4.1-2 => 1.4.1-3)
   cups (1.5.2-9 => 1.5.2-10)
   cups-bsd (1.5.2-9 => 1.5.2-10)
   cups-client (1.5.2-9 => 1.5.2-10)
   cups-common (1.5.2-9 => 1.5.2-10)
   cups-filters (1.0.12-1 => 1.0.16-2)
   cups-ppdc (1.5.2-9 => 1.5.2-10)
   debhelper (9.20120322 => 9.20120419)
   deborphan (1.7.28.5 => 1.7.28.6)
   debtags (1.9 => 1.9+b1)
   diffutils (3.2-2 => 3.2-5)
   digikam (2.6.0~beta2-2 => 2.6.0~beta3-1+b1)
   digikam-data (2.6.0~beta2-2 => 2.6.0~beta3-1)
   distro-defaults (3.13.14 => 3.13.15)
   dmidecode (2.11-5 => 2.11-6)
   dmsetup (1.02.67-2 => 1.02.74-1)
   dnsutils (9.8.1.dfsg.P1-3 => 9.8.1.dfsg.P1-4)
   dpkg (1.16.2 => 1.16.3)
   dpkg-dev (1.16.2 => 1.16.3)
   e2fslibs (1.42.2-1 => 1.42.2-2)
   e2fsprogs (1.42.2-1 => 1.42.2-2)
   fontconfig (2.8.0-3.1 => 2.9.0-2)
   fontconfig-config (2.8.0-3.1 => 2.9.0-2)
   fonts-opensymbol (102.2+LibO3.5.2~rc2-1 => 102.2+LibO3.5.2-6)
   freespacenotifier (4.7.4-2 => 4.7.4-2+b1)
   fuse (2.8.7-1 => 2.8.7-2)
   g++-4.6 (4.6.3-2 => 4.6.3-5)
   gcc-4.6 (4.6.3-2 => 4.6.3-5)
   gcc-4.6-base (4.6.3-2 => 4.6.3-5)
   gcc-4.7-base (4.7.0-2 => 4.7.0-6)
   gconf-service (3.2.3-4 => 3.2.5-1)
   gconf2-common (3.2.3-4 => 3.2.5-1)
   gdisk (0.8.2-1 => 0.8.4-1)
   gettext (0.18.1.1-5 => 0.18.1.1-6)
   gettext-base (0.18.1.1-5 => 0.18.1.1-6)
   ghostscript (9.05~dfsg-4 => 9.05~dfsg-5)
   ghostscript-cups (9.05~dfsg-4 => 9.05~dfsg-5)
   ghostscript-x (9.05~dfsg-4 => 9.05~dfsg-5)
   gir1.2-glib-2.0 (1.32.0-1 => 1.32.1-1)
   glib-networking (2.32.0-2 => 2.32.1-1)
   glib-networking-common (2.32.0-2 => 2.32.1-1)
   glib-networking-services (2.32.0-2 => 2.32.1-1)
   grep (2.10-1 => 2.11-3)
   gsettings-desktop-schemas (3.2.0-2 => 3.4.1-2)
   hyphen-en-us (2.8.3-1 => 2.8.3-2)
   icedtea-6-plugin (1.2-1 => 1.2-2)
   icedtea-netx (1.2-1 => 1.2-2)
   icedtea-netx-common (1.2-1 => 1.2-2)
   icedtea-plugin (1.2-1 => 1.2-2)
   iceweasel (10.0.3esr-3 => 10.0.4esr-2)
   iceweasel-l10n-it (10.0.3esr-3 => 10.0.4esr-2)
   imagemagick-common (6.7.4.0-3 => 6.7.4.0-5)
   info (4.13a.dfsg.1-9 => 4.13a.dfsg.1-10)
   initramfs-tools (0.101 => 0.102)
   insserv (1.14.0-2.2 => 1.14.0-3)
   install-info (4.13a.dfsg.1-9 => 4.13a.dfsg.1-10)
   iptables (1.4.13-1 => 1.4.13-1.1)
   irssi (0.8.15-4+b1 => 0.8.15-5)
   isc-dhcp-client (4.2.2.dfsg.1-4 => 4.2.2.dfsg.1-5)
   isc-dhcp-common (4.2.2.dfsg.1-4 => 4.2.2.dfsg.1-5)
   iso-codes (3.34-1 => 3.35-1)
   kbd (1.15.3-7 => 1.15.3-9)
   kde-style-oxygen (4.7.4-2 => 4.7.4-2+b1)
   kde-window-manager (4.7.4-2 => 4.7.4-2+b1)
   kde-workspace-bin (4.7.4-2 => 4.7.4-2+b1)
   kde-workspace-kgreet-plugins (4.7.4-2 => 4.7.4-2+b1)
   kdepimlibs-kio-plugins (4.7.4-2 => 4.7.4-2+b1)
   kdm (4.7.4-2 => 4.7.4-2+b1)
   keyboard-configuration (1.75 => 1.76)
   kipi-plugins (2.6.0~beta2-2 => 2.6.0~beta3-1+b1)
   kipi-plugins-common (2.6.0~beta2-2 => 2.6.0~beta3-1)
   klipper (4.7.4-2 => 4.7.4-2+b1)
   kmenuedit (4.7.4-2 => 4.7.4-2+b1)
   ksysguard (4.7.4-2 => 4.7.4-2+b1)
   ksysguardd (4.7.4-2 => 4.7.4-2+b1)
   libakonadi-contact4 (4.7.4-2 => 4.7.4-2+b1)
   libakonadi-kabc4 (4.7.4-2 => 4.7.4-2+b1)
   libakonadi-kcal4 (4.7.4-2 => 4.7.4-2+b1)
   libakonadi-kde4 (4.7.4-2 => 4.7.4-2+b1)
   libakonadi-kmime4 (4.7.4-2 => 4.7.4-2+b1)
   libakonadiprotocolinternals1 (1.6.2-2 => 1.6.2-2+b1)
   libapt-pkg-perl (0.1.26 => 0.1.26+b1)
   libaudio2 (1.9.3-4 => 1.9.3-5)
   libavcodec53 (0.8.1-4 => 0.8.1-7)
   libavformat53 (0.8.1-4 => 0.8.1-7)
   libavutil51 (0.8.1-4 => 0.8.1-7)
   libbind9-80 (9.8.1.dfsg.P1-3 => 9.8.1.dfsg.P1-4)
   libbluedevil1 (1.9.1-1 => 1.9.2-1)
   libbrlapi0.5 (4.3-2 => 4.3-3)
   libc-bin (2.13-27 => 2.13-31)
   libc-dev-bin (2.13-27 => 2.13-31)
   libc6 (2.13-27 => 2.13-31)
   libc6-dev (2.13-27 => 2.13-31)
   libc6-i686 (2.13-27 => 2.13-31)
   libcaca0 (0.99.beta17-2.1 => 0.99.beta18-1)
   libcairo-gobject2 (1.12.0-2 => 1.12.2-1)
   libcairo2 (1.12.0-2 => 1.12.2-1)
   libcmis-0.2-0 (0.1.0-1 => 0.1.0-1+b1)
   libcomerr2 (1.42.2-1 => 1.42.2-2)
   libcrypto++9 (5.6.1-5 => 5.6.1-6)
   libcryptsetup4 (1.4.1-2 => 1.4.1-3)
   libcups2 (1.5.2-9 => 1.5.2-10)
   libcupscgi1 (1.5.2-9 => 1.5.2-10)
   libcupsdriver1 (1.5.2-9 => 1.5.2-10)
   libcupsfilters1 (1.0.12-1 => 1.0.16-2)
   libcupsimage2 (1.5.2-9 => 1.5.2-10)
   libcupsmime1 (1.5.2-9 => 1.5.2-10)
   libcupsppdc1 (1.5.2-9 => 1.5.2-10)
   libcwidget3 (0.5.16-3.1 => 0.5.16-3.2)
   libdevmapper1.02.1 (1.02.67-2 => 1.02.74-1)
   libdns81 (9.8.1.dfsg.P1-3 => 9.8.1.dfsg.P1-4)
   libdpkg-perl (1.16.2 => 1.16.3)
   libexttextcat-data (3.2.0-1 => 3.2.0-2)
   libexttextcat0 (3.2.0-1 => 3.2.0-2)
   libfontconfig1 (2.8.0-3.1 => 2.9.0-2)
   libfuse2 (2.8.7-1 => 2.8.7-2)
   libgail-3-0 (3.2.3-1 => 3.4.1-2)
   libgcc1 (4.7.0-2 => 4.7.0-6)
   libgconf-2-4 (3.2.3-4 => 3.2.5-1)
   libgconf2-4 (3.2.3-4 => 3.2.5-1)
   libgdk-pixbuf2.0-0 (2.26.0-2 => 2.26.1-1)
   libgdk-pixbuf2.0-common (2.26.0-2 => 2.26.1-1)
   libgfortran3 (4.7.0-2 => 4.7.0-6)
   libgirepository-1.0-1 (1.32.0-1 => 1.32.1-1)
   libgl1-mesa-dri (7.11.2-1 => 8.0.2-2)
   libgl1-mesa-glx (7.11.2-1 => 8.0.2-2)
   libglapi-mesa (7.11.2-1 => 8.0.2-2)
   libglib2.0-0 (2.32.0-3 => 2.32.2-1)
   libglibmm-2.4-1c2a (2.31.22-2 => 2.32.0-1)
   libglu1-mesa (7.11.2-1 => 8.0.2-2)
   libgomp1 (4.7.0-2 => 4.7.0-6)
   libgpgme++2 (4.7.4-2 => 4.7.4-2+b1)
   libgphoto2-2 (2.4.13-2 => 2.4.14-2)
   libgphoto2-port0 (2.4.13-2 => 2.4.14-2)
   libgps20 (3.4-2 => 3.5-4)
   libgraphicsmagick3 (1.3.12-1.1+b1 => 1.3.12-1.1+b2)
   libgs9 (9.05~dfsg-4 => 9.05~dfsg-5)
   libgs9-common (9.05~dfsg-4 => 9.05~dfsg-5)
   libgsm1 (1.0.13-3 => 1.0.13-4)
   libgtk-3-0 (3.2.3-1 => 3.4.1-2)
   libgtk-3-common (3.2.3-1 => 3.4.1-2)
   libhyphen0 (2.8.3-1 => 2.8.3-2)
   libice6 (1.0.7-2 => 1.0.8-2)
   libicu48 (4.8.1.1-5 => 4.8.1.1-6)
   libimlib2 (1.4.4-1+b1 => 1.4.5-1)
   libisc83 (9.8.1.dfsg.P1-3 => 9.8.1.dfsg.P1-4)
   libisccc80 (9.8.1.dfsg.P1-3 => 9.8.1.dfsg.P1-4)
   libisccfg82 (9.8.1.dfsg.P1-3 => 9.8.1.dfsg.P1-4)
   libjack-jackd2-0 (1.9.8~dfsg.2-1 => 1.9.8~dfsg.3+20120418gitf82ec715-6)
   libjavascriptcoregtk-3.0-0 (1.8.0-2 => 1.8.1-1)
   libkabc4 (4.7.4-2 => 4.7.4-2+b1)
   libkblog4 (4.7.4-2 => 4.7.4-2+b1)
   libkcal4 (4.7.4-2 => 4.7.4-2+b1)
   libkcalcore4 (4.7.4-2 => 4.7.4-2+b1)
   libkcalutils4 (4.7.4-2 => 4.7.4-2+b1)
   libkdecorations4 (4.7.4-2 => 4.7.4-2+b1)
   libkephal4abi1 (4.7.4-2 => 4.7.4-2+b1)
   libkeyutils1 (1.5.5-1 => 1.5.5-2)
   libkholidays4 (4.7.4-2 => 4.7.4-2+b1)
   libkimap4 (4.7.4-2 => 4.7.4-2+b1)
   libkldap4 (4.7.4-2 => 4.7.4-2+b1)
   libkmime4 (4.7.4-2 => 4.7.4-2+b1)
   libkontactinterface4 (4.7.4-2 => 4.7.4-2+b1)
   libkpimidentities4 (4.7.4-2 => 4.7.4-2+b1)
   libkpimtextedit4 (4.7.4-2 => 4.7.4-2+b1)
   libkpimutils4 (4.7.4-2 => 4.7.4-2+b1)
   libkresources4 (4.7.4-2 => 4.7.4-2+b1)
   libkscreensaver5 (4.7.4-2 => 4.7.4-2+b1)
   libksgrd4 (4.7.4-2 => 4.7.4-2+b1)
   libksignalplotter4 (4.7.4-2 => 4.7.4-2+b1)
   libktnef4 (4.7.4-2 => 4.7.4-2+b1)
   libktorrent4 (1.2.0-1 => 1.2.0-1+b1)
   libkwineffects1abi2 (4.7.4-2 => 4.7.4-2+b1)
   libkworkspace4 (4.7.4-2 => 4.7.4-2+b1)
   libkxmlrpcclient4 (4.7.4-2 => 4.7.4-2+b1)
   liblcms1 (1.19.dfsg-1+b1 => 1.19.dfsg-1+b2)
   liblvm2app2.2 (2.02.88-2 => 2.02.95-1)
   liblwres80 (9.8.1.dfsg.P1-3 => 9.8.1.dfsg.P1-4)
   libmagickcore5 (6.7.4.0-3 => 6.7.4.0-5)
   libmagickwand5 (6.7.4.0-3 => 6.7.4.0-5)
   libmailtransport4 (4.7.4-2 => 4.7.4-2+b1)
   libmicroblog4 (4.7.4-2 => 4.7.4-2+b1)
   libmodplug1 (0.8.8.4-1 => 0.8.8.4-3)
   libmozjs10d (10.0.3esr-3 => 10.0.4esr-2)
   libncurses5 (5.9-5 => 5.9-7)
   libncursesw5 (5.9-5 => 5.9-7)
   libneon27-gnutls (0.29.6-2 => 0.29.6-3)
   libnewt0.52 (0.52.14-8 => 0.52.14-9)
   libnss3-1d (3.13.3-1 => 3.13.4-1)
   libopenjpeg2 (1.3+dfsg-4 => 1.3+dfsg-4+b1)
   liborc-0.4-0 (0.4.16-1 => 0.4.16-2)
   libp11-kit0 (0.12-2 => 0.12-3)
   libparted0debian1 (2.3-9 => 2.3-9.1)
   libpci3 (3.1.9-1 => 3.1.9-2)
   libpciaccess0 (0.13-1 => 0.13.1-2)
   libpcre3 (8.30-4 => 8.30-5)
   libplasma-geolocation-interface4 (4.7.4-2 => 4.7.4-2+b1)
   libplasmaclock4abi2 (4.7.4-2 => 4.7.4-2+b1)
   libplasmagenericshell4 (4.7.4-2 => 4.7.4-2+b1)
   libpng12-0 (1.2.47-2 => 1.2.49-1)
   libpolkit-agent-1-0 (0.104-2 => 0.105-1)
   libpolkit-backend-1-0 (0.104-2 => 0.105-1)
   libpolkit-gobject-1-0 (0.104-2 => 0.105-1)
   libpostproc52 (0.8.1-4 => 0.8.1-7)
   libprocesscore4abi1 (4.7.4-2 => 4.7.4-2+b1)
   libprocessui4a (4.7.4-2 => 4.7.4-2+b1)
   libpulse-mainloop-glib0 (1.1-3 => 1.1-3.2)
   libpulse0 (1.1-3 => 1.1-3.2)
   libpython2.7 (2.7.3~rc2-1 => 2.7.3~rc2-2.1)
   libqalculate5 (0.9.7-6 => 0.9.7-7)
   libqgpgme1 (4.7.4-2 => 4.7.4-2+b1)
   libqt4-dbus (4.7.4-3 => 4.8.1-1)
   libqt4-declarative (4.7.4-3 => 4.8.1-1)
   libqt4-designer (4.7.4-3 => 4.8.1-1)
   libqt4-help (4.7.4-3 => 4.8.1-1)
   libqt4-network (4.7.4-3 => 4.8.1-1)
   libqt4-opengl (4.7.4-3 => 4.8.1-1)
   libqt4-qt3support (4.7.4-3 => 4.8.1-1)
   libqt4-script (4.7.4-3 => 4.8.1-1)
   libqt4-scripttools (4.7.4-3 => 4.8.1-1)
   libqt4-sql (4.7.4-3 => 4.8.1-1)
   libqt4-sql-sqlite (4.7.4-3 => 4.8.1-1)
   libqt4-svg (4.7.4-3 => 4.8.1-1)
   libqt4-test (4.7.4-3 => 4.8.1-1)
   libqt4-xml (4.7.4-3 => 4.8.1-1)
   libqt4-xmlpatterns (4.7.4-3 => 4.8.1-1)
   libqtcore4 (4.7.4-3 => 4.8.1-1)
   libqtgui4 (4.7.4-3 => 4.8.1-1)
   libqtwebkit4 (2.2.0-3 => 2.2.1-2)
   libquadmath0 (4.7.0-2 => 4.7.0-6)
   librados2 (0.43-1 => 0.44.1-1)
   librbd1 (0.43-1 => 0.44.1-1)
   libreoffice-base-core (3.5.2~rc2-1 => 3.5.2-6)
   libreoffice-calc (3.5.2~rc2-1 => 3.5.2-6)
   libreoffice-common (3.5.2~rc2-1 => 3.5.2-6)
   libreoffice-core (3.5.2~rc2-1 => 3.5.2-6)
   libreoffice-draw (3.5.2~rc2-1 => 3.5.2-6)
   libreoffice-help-en-us (3.5.2~rc2-1 => 3.5.2-6)
   libreoffice-help-it (3.5.2~rc2-1 => 3.5.2-6)
   libreoffice-impress (3.5.2~rc2-1 => 3.5.2-6)
   libreoffice-kde (3.5.2~rc2-1 => 3.5.2-6)
   libreoffice-l10n-it (3.5.2~rc2-1 => 3.5.2-6)
   libreoffice-math (3.5.2~rc2-1 => 3.5.2-6)
   libreoffice-style-galaxy (3.5.2~rc2-1 => 3.5.2-6)
   libreoffice-writer (3.5.2~rc2-1 => 3.5.2-6)
   librsvg2-2 (2.36.0-5 => 2.36.1-1)
   libschroedinger-1.0-0 (1.0.11-1 => 1.0.11-2)
   libsdl1.2debian (1.2.15-2 => 1.2.15-3)
   libsensors4 (3.3.1-2 => 3.3.2-1)
   libslang2 (2.2.4-7 => 2.2.4-10)
   libsm6 (1.2.0-2 => 1.2.1-2)
   libsmbclient (3.6.3-2 => 3.6.5-1)
   libsolidcontrol4abi2 (4.7.4-2 => 4.7.4-2+b1)
   libsolidcontrolifaces4abi2 (4.7.4-2 => 4.7.4-2+b1)
   libsoup2.4-1 (2.38.0-1 => 2.38.1-2)
   libspice-client-glib-2.0-1 (0.9-1 => 0.11-1)
   libspice-client-gtk-2.0-1 (0.9-1 => 0.11-1)
   libsqlite3-0 (3.7.11-2 => 3.7.11-3)
   libss2 (1.42.2-1 => 1.42.2-2)
   libssh2-1 (1.4.0-1 => 1.4.1-1)
   libssl1.0.0 (1.0.1-4 => 1.0.1b-1)
   libstdc++6 (4.7.0-2 => 4.7.0-6)
   libstdc++6-4.6-dev (4.6.3-2 => 4.6.3-5)
   libstreamanalyzer0 (0.7.7-1.1 => 0.7.7-1.1+b1)
   libstreams0 (0.7.7-1.1 => 0.7.7-1.1+b1)
   libswscale2 (0.8.1-4 => 0.8.1-7)
   libsyndication4 (4.7.4-2 => 4.7.4-2+b1)
   libtag1-vanilla (1.7-2 => 1.7.1-3)
   libtag1c2a (1.7-2 => 1.7.1-3)
   libtaskmanager4abi2 (4.7.4-2 => 4.7.4-2+b1)
   libtdb1 (1.2.9+git20120207-2 => 1.2.10-1)
   libtiff4 (3.9.6-1 => 3.9.6-5)
   libtiff5 (4.0.1-1 => 4.0.1-5)
   libtinfo5 (5.9-5 => 5.9-7)
   libuniconf4.6 (4.6.1-2 => 4.6.1-3)
   libupower-glib1 (0.9.15-3 => 0.9.16-2)
   libusb-1.0-0 (1.0.9~rc3-4 => 1.0.9-1)
   libv4l-0 (0.8.6-2 => 0.8.8-1)
   libv4lconvert0 (0.8.6-2 => 0.8.8-1)
   libvisio-0.0-0 (0.0.15-2 => 0.0.15-2+b1)
   libvorbis0a (1.3.2-1.1 => 1.3.2-1.2)
   libvorbisenc2 (1.3.2-1.1 => 1.3.2-1.2)
   libvorbisfile3 (1.3.2-1.1 => 1.3.2-1.2)
   libwbclient0 (3.6.3-2 => 3.6.5-1)
   libweather-ion6 (4.7.4-2 => 4.7.4-2+b1)
   libwebkitgtk-3.0-0 (1.8.0-2 => 1.8.1-1)
   libwebkitgtk-3.0-common (1.8.0-2 => 1.8.1-1)
   libwvstreams4.6-base (4.6.1-2 => 4.6.1-3)
   libwvstreams4.6-extras (4.6.1-2 => 4.6.1-3)
   libx11-6 (1.4.4-4 => 1.4.99.901-2)
   libx11-data (1.4.4-4 => 1.4.99.901-2)
   libx11-xcb1 (1.4.4-4 => 1.4.99.901-2)
   libx264-120 (0.120.2171+git01f7a33-3 => 0.120.2171+git01f7a33-4)
   libxau6 (1.0.6-4 => 1.0.7-1)
   libxaw7 (1.0.9-3 => 1.0.10-2)
   libxcursor1 (1.1.12-1 => 1.1.13-1)
   libxdmcp6 (1.1.0-4 => 1.1.1-1)
   libxext6 (1.3.0-3 => 1.3.1-2)
   libxi6 (1.4.5-1 => 1.6.0-1)
   libxinerama1 (1.1.1-3 => 1.1.2-1)
   libxkbfile1 (1.0.7-1 => 1.0.8-1)
   libxml2 (2.7.8.dfsg-7 => 2.7.8.dfsg-9)
   libxml2-utils (2.7.8.dfsg-7 => 2.7.8.dfsg-9)
   libxmu6 (1.1.0-3 => 1.1.1-1)
   libxmuu1 (1.1.0-3 => 1.1.1-1)
   libxpm4 (3.5.9-4 => 3.5.10-1)
   libxrender1 (0.9.6-2 => 0.9.7-1)
   libxss1 (1.2.1-2 => 1.2.2-1)
   libxt6 (1.1.1-2 => 1.1.3-1)
   libxtst6 (1.2.0-4 => 1.2.1-1)
   libxv1 (1.0.6-2 => 1.0.7-1)
   libxvmc1 (1.0.6-1 => 1.0.7-1)
   libxxf86dga1 (1.1.2-1 => 1.1.3-1)
   libxxf86vm1 (1.1.1-2 => 1.1.2-1)
   linux-headers-aptosid-686 (3.3-11 => 3.3-20)
   linux-image-aptosid-686 (3.3-11 => 3.3-20)
   linux-libc-dev (3.2.13-1 => 3.2.16-1)
   locales (2.13-27 => 2.13-31)
   lsb-base (4.1+Debian0 => 4.1+Debian2)
   lsof (4.81.dfsg.1-1.1 => 4.86+dfsg-1)
   lvm2 (2.02.88-2 => 2.02.95-1)
   make (3.81-8.1 => 3.81-8.2)
   multiarch-support (2.13-27 => 2.13-31)
   ncurses-base (5.9-5 => 5.9-7)
   ncurses-bin (5.9-5 => 5.9-7)
   nmap (5.21-1.1 => 5.51.6-0.1)
   openjdk-6-jre (6b24-1.11.1-3 => 6b24-1.11.1-6)
   openjdk-6-jre-headless (6b24-1.11.1-3 => 6b24-1.11.1-6)
   openjdk-6-jre-lib (6b24-1.11.1-3 => 6b24-1.11.1-6)
   openssl (1.0.1-4 => 1.0.1b-1)
   os-prober (1.51 => 1.52)
   parted (2.3-9 => 2.3-9.1)
   pciutils (3.1.9-1 => 3.1.9-2)
   plasma-dataengines-workspace (4.7.4-2 => 4.7.4-2+b1)
   plasma-desktop (4.7.4-2 => 4.7.4-2+b1)
   plasma-widgets-workspace (4.7.4-2 => 4.7.4-2+b1)
   policykit-1 (0.104-2 => 0.105-1)
   printer-driver-foo2zjs (20120223dfsg0-1 => 20120223dfsg0-2)
   printer-driver-splix (2.0.0+svn300-1.1 => 2.0.0+svn306-2)
   python-apt (0.8.3+nmu1 => 0.8.4)
   python-apt-common (0.8.3+nmu1 => 0.8.4)
   python-gi (3.2.0-2 => 3.2.0-3)
   python-gobject (3.2.0-2 => 3.2.0-3)
   python2.7 (2.7.3~rc2-1 => 2.7.3~rc2-2.1)
   python2.7-minimal (2.7.3~rc2-1 => 2.7.3~rc2-2.1)
   qdbus (4.7.4-3 => 4.8.1-1)
   resolvconf (1.64 => 1.65)
   samba-common (3.6.3-2 => 3.6.5-1)
   shared-desktop-ontologies (0.9.0-2 => 0.9.0-3)
   smbclient (3.6.3-2 => 3.6.5-1)
   spice-client-gtk (0.9-1 => 0.11-1)
   spice-vdagent (0.8.1-1 => 0.10.1-1)
   synaptic (0.75.9 => 0.75.10)
   systemsettings (4.7.4-2 => 4.7.4-2+b1)
   tzdata (2012b-1 => 2012c-1)
   tzdata-java (2012b-1 => 2012c-1)
   ucf (3.0025+nmu2 => 3.0025+nmu3)
   uno-libs3 (3.5.2~rc2-1 => 3.5.2-6)
   upower (0.9.15-3 => 0.9.16-2)
   ure (3.5.2~rc2-1 => 3.5.2-6)
   usbutils (005-2 => 005-3)
   wget (1.13.4-2 => 1.13.4-3)
   whiptail (0.52.14-8 => 0.52.14-9)
   whois (5.0.15 => 5.0.16)
   wpagui (0.7.3-6 => 1.0~rc3-0~svnr1731.0)
   wpasupplicant (0.7.3-6 => 1.0~rc3-0~svnr1731.0)
   x11-utils (7.6+4 => 7.7~1)
   x11-xfs-utils (7.6+1 => 7.7~1)
   x11-xkb-utils (7.6+4 => 7.7~1)
   x11-xserver-utils (7.6+3 => 7.7~2)
   xauth (1.0.6-1 => 1.0.7-1)
   xsane (0.998-3 => 0.998-3+b1)
   xserver-common (1.11.4-1 => 1.12.1-1)
   xserver-xorg-core (1.11.4-1 => 1.12.1-1)
   xserver-xorg-input-evdev (2.7.0-1 => 2.7.0-1+b1)
   xserver-xorg-input-mouse (1.7.2-1 => 1.7.2-2+b1)
   xserver-xorg-input-synaptics (1.5.99.902-1 => 1.5.99.904-2)
   xserver-xorg-input-vmmouse (12.8.0-1 => 12.8.0-1+b1)
   xserver-xorg-video-apm (1.2.3-2+b2 => 1.2.3-3)
   xserver-xorg-video-ark (0.7.4-1 => 0.7.4-1+b1)
   xserver-xorg-video-ati (6.14.4-1 => 6.14.4-2+b1)
   xserver-xorg-video-chips (1.2.4-1+b2 => 1.2.4-2)
   xserver-xorg-video-cirrus (1.4.0-1 => 1.4.0-1+b1)
   xserver-xorg-video-fbdev (0.4.2-4+b2 => 0.4.2-4+b3)
   xserver-xorg-video-i128 (1.3.5-1 => 1.3.5-1+b1)
   xserver-xorg-video-i740 (1.3.2-4+b2 => 1.3.2-4+b3)
   xserver-xorg-video-intel (2.18.0-1 => 2.18.0-2+b1)
   xserver-xorg-video-mach64 (6.9.1-1 => 6.9.1-2)
   xserver-xorg-video-mga (1.4.13.dfsg-4 => 1.4.13.dfsg-4+b1)
   xserver-xorg-video-neomagic (1.2.5-2+b2 => 1.2.5-2+b3)
   xserver-xorg-video-nouveau (0.0.16+git20111201+b5534a1-1 => 0.0.16+git20120322+ab7291d-1)
   xserver-xorg-video-openchrome (0.2.904+svn1050-1 => 0.2.904+svn1050-1+b1)
   xserver-xorg-video-r128 (6.8.1-5+b2 => 6.8.1-5+b3)
   xserver-xorg-video-radeon (6.14.4-1 => 6.14.4-2+b1)
   xserver-xorg-video-rendition (4.2.4-2+b2 => 4.2.4-3)
   xserver-xorg-video-s3 (0.6.3-4+b2 => 0.6.3-4+b3)
   xserver-xorg-video-savage (2.3.3-1 => 2.3.3-1+b1)
   xserver-xorg-video-siliconmotion (1.7.5-1+b2 => 1.7.6-1)
   xserver-xorg-video-sis (0.10.3-3+b2 => 0.10.4-1)
   xserver-xorg-video-sisusb (0.9.4-2+b2 => 0.9.4-3)
   xserver-xorg-video-trident (1.3.4-2+b2 => 1.3.5-1)
   xserver-xorg-video-tseng (1.2.4-2+b2 => 1.2.4-3)
   xserver-xorg-video-vesa (2.3.1-1 => 2.3.1-1+b1)
   xserver-xorg-video-vmware (12.0.2-1 => 12.0.2-1+b1)
   xserver-xorg-video-voodoo (1.2.4-2+b2 => 1.2.4-2+b3)
   xterm (276-2 => 278-1)
   xulrunner-10.0 (10.0.3esr-3 => 10.0.4esr-2)
428 upgraded, 13 newly installed, 5 to remove and 0 not upgraded.
Need to get 525 MB of archives.
After this operation, 117 MB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.

I last updated my system about 3 weeks ago.
Is xorg still transitioning?
 
 View user's profile Send private message  
Reply with quote Back to top
CarnophageOffline
Post subject:   PostPosted: 02.05.2012, 13:34



Joined: 2010-09-12
Posts: 59

Status: Offline
Yes it is: http://release.debian.org/transitions/html/xorg.html
The question is do You really need to have all xserver-xorg video drivers? Unless You own an s3virge card Wink
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
sid.dhartaOnline!
Post subject:   PostPosted: 02.05.2012, 15:47



Joined: 2012-05-02
Posts: 6

Status: Online!
      Carnophage wrote:
Yes it is: http://release.debian.org/transitions/html/xorg.html
The question is do You really need to have all xserver-xorg video drivers? Unless You own an s3virge card Wink

Thanks (also for the link)!
I don't own an s3virge card (as you rightly supposed Laughing ), I was just reluctant to remove xserver-xorg-video-all. In case I will reinstall it later.
 
 View user's profile Send private message  
Reply with quote Back to top
CarnophageOffline
Post subject:   PostPosted: 02.05.2012, 20:48



Joined: 2010-09-12
Posts: 59

Status: Offline
If I understand correctly the xserver-xorg-video-all is just a meta package which is used to install all possible video drivers (which might be useful in some use cases).
I don't know what's the policy from Aptosid devs point of view, but I removed all the drivers that I won't be using on my laptop (including of course the "all" meta package), leaving just nouveau and vesa as a fallback.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
f.ramOffline
Post subject:   PostPosted: 05.05.2012, 15:39



Joined: 2012-05-05
Posts: 2

Status: Offline
Hi all,
After deletion I've put this in my /etc/apt/preferences
      Code:

Package: xserver-xorg*
Pin: release a=testing
Pin-Priority: 1010

It Seems to work for me, with the opportune sources.

Could it be dangerous in future?
 
 View user's profile Send private message  
Reply with quote Back to top
DonKultOffline
Post subject:   PostPosted: 05.05.2012, 17:02
Team Member


Joined: 2010-09-02
Posts: 482

Status: Offline
      f.ram wrote:
Could it be dangerous in future?

You are basically forcing your system to use all packages from sid expect the xserver-xorg-packages from testing. Mixing is usually not a good idea. Sometimes it might be needed to temporary downgrade to an older version (=testing) but you shouldn't do that always by default.

Mostly because bugs in testing are fixed only after 10 days (usually, sometimes less, but often more) while bugs in sid can be fixed every 6 hours.

_________________
MfG. DonKult
"I never make stupid mistakes. Only very, very clever ones." ~ The Doctor
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio